<?php
/*
Plugin Name: Post Repeater
Plugin URI: http://blog.vishalon.net/Post/90.aspx
Description: This plugin repeats a particular post every year/month/week. Set the custom field Key=REPEATON, Value=MM/DD for the yearly repeat, Value=01/02...12 for monthly repeat, Value=Sun/Mon/Tue/Wed/Thu/Fri/Sat for weekly repeat.
Author: Vishal Monpara
Version: 1.1
Author URI: http://www.vishalon.net/
*/
add_filter('query','PostRepeater');
function PostRepeater($query)
{
	global $wpdb;

	if (strpos($query,'SELECT SQL_CALC') && ! strpos($query, ' LIKE ')) {
//	if (preg_match('/SELECT SQL_CALC/', $query) && ! preg_match('/ LIKE /', $query)) {
		$uri = $_SERVER['REQUEST_URI'];
		if ((strlen($uri)==1) || (strlen($uri)<=11 && strpos($uri,'index.php')))
		{
			$time = time()+(get_settings('gmt_offset') * 3600);
			$split = explode('ORDER BY', $query);
			$orderby = 'ORDER BY N,'. $split[1];
			$query = str_replace(' FROM ',', 2 AS N FROM ',$split[0]);
			$query = "(" .$query. ") UNION ALL ";
			$query = $query. 
			"( SELECT $wpdb->posts.*, 1 AS N FROM $wpdb->posts 
				INNER JOIN $wpdb->postmeta
				ON $wpdb->posts.ID = $wpdb->postmeta.post_id
				WHERE $wpdb->posts.post_status = 'publish'
				AND $wpdb->posts.post_type = 'post'
				AND $wpdb->postmeta.meta_key = 'REPEATON' AND 
				($wpdb->postmeta.meta_value = '". gmdate('m/d',$time) . "' 
				OR $wpdb->postmeta.meta_value = '". gmdate('d',$time) . "'
				OR $wpdb->postmeta.meta_value = '". gmdate('D',$time) . "')
				ORDER BY $wpdb->posts.post_date_gmt DESC) ".
			$orderby;
		}
	}
	return $query;
}
?>