<?php
/*
Template Name: Todo
Theme: dKret
Basis: page.php
Author: J. Kretzschmar
Author URI: http://diekretzschmars.de/
*/
?>

<?php get_header(); ?>

<!-- blog content -->
<div id="content">

<!--page.php static page-->

<!--start loop-->
    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

    <div id="post-<?php the_ID(); ?>">

      <div class="title">
        <?php include(TEMPLATEPATH . '/blocks/main_block_title.php'); ?>
      </div>

      <!--content-->

      <?php if (function_exists('ourtodolist_exists')) { ?>
        <?php if ( ourtodolist_exists() ) { ?>
          <h3><?php _e('Todo','dkret'); ?></h3>
          <ul>
            <?php ourtodolist(0, false, true); ?>
          </ul>
        <?php } ?>
        <?php if ( ourtodolist_exists(is_completed) ) { ?>
          <h3><?php _e('Completed','dkret'); ?></h3>
          <ul>
            <?php ourtodolist_completed(0, false, true); ?>
          </ul>
        <?php }
      } ?>

      <?php the_content(); ?>

			<?php link_pages('<p><strong>'.__('Pages:','dkret').'</strong> ', '</p>', 'number'); ?>

      <?php include(TEMPLATEPATH . '/blocks/main_block_tags.php'); ?>

    </div>

	  <?php endwhile; endif; ?>

<!--comments-->
<?php comments_template(); ?>
	  
<!--page.php end-->

<!-- Blog content end-->
</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
