<?php
/*
Template Name: Guestbook
Info: Display a Page with comments like standard Guestbooks
Theme: dKret
Basis: comments.php
Author: J. Kretzschmar
Author URI: http://diekretzschmars.de/
*/
?>
<?php get_header(); ?>
<!--single.php-->

<!-- blog content -->
<div id="content">

<!--start loop-->
  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	

    		<!--title-->
        <div id="post-<?php the_ID(); ?>" class="singlepost">

          <div class="title">
            <?php include(TEMPLATEPATH . '/blocks/main_block_title.php'); ?>
          </div>

          <div class="entry">          	
  				  <?php the_content(); ?>
          </div>
  
        </div>

	<!--end loop-->

	<?php comments_template('/guestcomments.php'); ?>

	<?php endwhile; else: ?>
	
		<?php _e('Sorry, there is no such post.','dkret'); ?>
	
<?php endif; ?>
<!--single.php end-->

<!-- blog content end-->
</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
