<?php
/*
Template Name: No Sidebar
Info: Use it for Pages that need the full width but don't need a sidebar!
Theme: dKret2
Basis: page.php
Author: J. Kretzschmar
Author URI: http://diekretzschmars.de/
*/
?>

<?php get_header(); ?>

<div id="content" class="widecolumn">

<!--page.php static page-->

<!--start loop-->
  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
  
    <div id="post-<?php the_ID(); ?>" class="singlepost">

      <div class="title">  
        <?php include(TEMPLATEPATH . '/blocks/main_block_title.php'); ?>
      </div>

      <div class="entry2">  
    		<?php the_content(); ?>
      </div>
      
  		<?php wp_link_pages('before=<p class="pagelinks">'.__('Pages:','dkret').''); ?>
  
      <?php include(TEMPLATEPATH . '/blocks/main_block_tags.php'); ?>
  
    </div>
  
  <?php endwhile; endif; ?>

<?php comments_template(); ?>
	  
<!--page.php end-->
</div>

<?php get_footer(); ?>
