<?php
/*
Plugin Name: dKret Links widget
Description: Adds a sidebar widget to display the Linkroll.
Author: J. Kretzschmar
Version: 1.1
Author URI: http://diekretzschmars.de
*/

function widget_dkret_blogroll($args) {
	extract($args);
	$options = get_option('widget_dkret_links');
  if ($options['linkcat'] != '' ) { ?>
    <ul>
  	 <?php wp_list_bookmarks(); ?>
    </ul>
  <?php }
  else { ?>
  <div class="linkcat">
    <h2 class="widget_title"><?php echo ($options['title']) ?></h2>
    <ul>
      <?php wp_list_bookmarks('categorize=0&orderby=rand&title_li='); ?>
    </ul>
  </div>
  <?php }
}

// Admin section
function widget_control_dkret_blogroll() {
 	global $wpdb;
 	$options = get_option('widget_dkret_links');
    		
	if ( $_POST['dkret-submit'] ) {

		$options['title'] = strip_tags(stripslashes($_POST['dkret-blogroll-title']));
		$options['linkcat'] = isset($_POST['dkret-blogroll-linkcat']);
		update_option('widget_dkret_links', $options);
	}
	
	$title = htmlspecialchars($options['title'], ENT_QUOTES);
	$linkcat = $options['linkcat'] ? 'checked="checked"' : '';
	
	// The Box content
	echo '<p style="text-align:right;"><label for="dkret-blogroll-title" />' . __('Title:', 'dkret') . ' <input style="width: 200px;" id="dkret-blogroll-title" name="dkret-blogroll-title" type="text" value="'.$title.'" /></p>';
	echo '<p style="text-align:right;"><label for="dkret-bogroll-linkcat">' . __('Show Categories in Blogroll:', 'dkret') . ' <input id="dkret-blogroll-linkcat" name="dkret-blogroll-linkcat" type="checkbox" '. $linkcat .'  /></label></p>';
	echo '<input type="hidden" id="dkret-submit" name="dkret-submit" value="1" />';
}

 	$options = get_option('widget_dkret_links');
 	if ( !is_array($options) )
		$options = array('title'=>''. __('Blogroll', 'dkret') .'', 'linkcat'=>'checked="checked"',);
		update_option('widget_dkret_links', $options);


register_sidebar_widget(__('dKret: Links','dkret'), 'widget_dkret_blogroll');
register_widget_control(__('dKret: Links','dkret'), 'widget_control_dkret_blogroll', 300, 200);
?>
