<div id="sidebar">

  <?php if (exist_active_widgets()) { ?>
    <!-- Standardsidebar start -->
    <div>
      <?php dynamic_sidebar('Sidebar: Top'); ?>
    </div>
  
    <?php if (exist_double_colon()) { ?>
    <!-- doublecolumn start -->  
    <div id="column">
      <div class="column1">
      	<div>
          <?php dynamic_sidebar('Sidebar: Column1'); ?>
      	</div>
      </div>
    
      <div class="column2">
      	<div>
          <?php dynamic_sidebar('Sidebar: Column2'); ?>
      	</div>
      </div>
    </div>
    <!-- doublecolumn end -->
    <?php } ?>
  
    <div>
      <?php dynamic_sidebar('Sidebar: Bottom'); ?>
    </div>
    <!-- Standrdsidebar end -->

  <?php } else { ?>

  <!-- No Widgets (display Standardsidebar) start -->
    <div id="Suche">
      <h2 class="widget_title"><?php _e('Search','dkret'); ?></h2>
     	<form method="get" id="searchform" action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']); ?>">
    		<input type="text" value="<?php echo wp_specialchars($s, 1); ?>" name="s" id="s" />
    	</form>
    </div>

    <div id="column">

      <div class="column1">
      	<div>
          <h2 class="widget_title"><?php _e('Categories','dkret'); ?></h2>
        	<ul>
        		<?php wp_list_cats('sort_column=name&optioncount=1&hierarchical=0'); ?>
        	</ul>    

          <h2 class="widget_title"><?php _e('Archive','dkret'); ?></h2>
          <ul>
			      <?php	wp_get_archives('type=monthly&limit=10'); ?>
          </ul>
      	</div>
      </div>
   
      <div class="column2">
      	<div>
          <ul>
        	 <?php wp_list_bookmarks(); ?>
          </ul>
      	</div>
      </div>

    </div>

    <h2 class="widget_title"><?php _e('Login/Register','dkret'); ?></h2>
		<ul>
			<?php wp_register(); ?>
			<li><?php wp_loginout(); ?></li>
			<?php wp_meta(); ?>
		</ul>
  <?php } ?>
  <!-- No Widgets (display Standardsidebar) end -->

</div>
